/* style dla strony głównej (index.php) */

/* --- baner reklamowy --- */
.ad-baner-sekcja > .container {
    border: 1px solid var(--border-color);
    border-radius: var(--border-radius);
    height: 300px;
}

/* --- "Skrót tygodnia" --- */
.week-short-sekcja {
    margin: 40px 0;
}
.week-short-sekcja .row {
    padding: 20px 10px;
    background-color: var(--secondary-bg-color);
    justify-content: space-between;
}
.week-short-title {
    display: flex;
    flex-direction: column;
    justify-content: center;
}
.week-short-title h2 {
    margin-bottom: 10px;
}
.week-short-title p {
    font-size: 14px;
}
.week-short-single {
    display: block;
    background-position: center;
    background-repeat: no-repeat;
    background-size: cover;
    min-height: 180px;
    border-radius: var(--border-radius);
    overflow: hidden;
}
.week-short-inner {
    min-height: inherit;
    background: linear-gradient(rgba(37, 37, 37, 0) 0%, var(--image-bottom-shadow-color) 70%);
    display: flex;
    flex-direction: column;
    justify-content: end;
    padding: 15px;
}
.week-short-inner * {
    color: var(--secondary-text-color);
}
.week-short-info {
    display: flex;
    align-items: center;
    margin-bottom: 5px;
    column-gap: 5px;
}
.week-short-info .post-category {
    font-weight: 500;
}


/* --- "Najnowsze" --- */
.newest-sekcja {
    margin: 60px 0 100px;
}
.newest-big-col {
    padding-right: 15px;
}
.newest-big {
    display: block;
    height: 100%;
    background-position: center;
    background-repeat: no-repeat;
    background-size: cover;
    border-radius: var(--border-radius);
    overflow: hidden;
}
.newest-big * {
    color: var(--secondary-text-color);
}
.newest-big-inner {
    height: inherit;
    background: linear-gradient(rgba(37, 37, 37, 0) 0%, var(--image-bottom-shadow-color) 70%);
    display: flex;
    flex-direction: column;
    justify-content: end;
    padding: 20px;
}
.newest-big-info {
    display: flex;
    align-items: center;
    margin-bottom: 18px;
    column-gap: 5px;
    font-weight: 500;
}
.newest-big-info .post-category {
    font-weight: 600;
}
.newest-big-inner h3 {
    font-size: 35px;
    font-weight: 700;
    line-height: 1.2;
    margin-bottom: 18px;
}
.newest-big-inner .post-desc {
    font-size: 15px;
    font-weight: 300;
}
.newest-list-col {
    border-left: 1px solid var(--border-color);
    padding-left: 15px;
}


/* --- "Najnowsze(kategoria)" --- */
.newest-cat-sekcja {
    margin: 80px 0;
}
.newest-cat-single {
    display: block;
    background-position: center;
    background-repeat: no-repeat;
    background-size: cover;
    min-height: 200px;
    border-radius: var(--border-radius);
    overflow: hidden;
    margin-bottom: 20px;
}
.newest-cat-inner {
    min-height: inherit;
    background: linear-gradient(rgba(37, 37, 37, 0) 0%, var(--image-bottom-shadow-color) 70%);
    display: flex;
    flex-direction: column;
    justify-content: end;
    padding: 15px;
}
.newest-cat-inner * {
    color: var(--secondary-text-color);
}
.newest-cat-single .post-data {
    margin-bottom: 5px;
}
.newest-cat-list-col:nth-of-type(1) {
    padding-right: 15px;
}
.newest-cat-list-col:nth-of-type(2) {
    padding: 0 15px;
    border-left: 1px solid var(--border-color);
    border-right: 1px solid var(--border-color);
}
.newest-cat-list-col:nth-of-type(3) {
    padding-left: 15px;
}

.newest-cat-list-col:nth-of-type(1) .newest-cat-single {
    height: 100%;
}
.newest-cat-list-col:nth-of-type(1) .newest-cat-inner {
    height: inherit;
    padding: 20px;
}
.newest-cat-list-col:nth-of-type(1) h3 {
    font-size: 28px;
    margin: 10px 0;
}
.newest-cat-inner .post-desc {
    font-size: 15px;
    font-weight: 300;
}


/*Tutaj zaczyna się CSS dla laptopów*/
@media only screen and (min-width: 993px) {
    .week-short-title h2 {
        font-size: 25px;
    }
    .newest-big-inner h3 {
        font-size: 30px;
    }
    .newest-cat-list-col:nth-of-type(1) h3 {
        font-size: 25px;
    }
    .cat-arch-link {
        margin-top: 40px;
    }
}

/*Tutaj zaczyna się CSS dla tabletów*/
@media only screen and (min-width: 767px) and (max-width: 992px) {
    .week-short-sekcja .row .col-md-6:last-of-type {
        display: none;
    }
}
@media only screen and (max-width: 992px) {
    .week-short-sekcja .row {
        row-gap: 20px;
    }
    .newest-cat-sekcja .row {
        row-gap: 20px;
    }
    .newest-cat-list-col:nth-of-type(2) {
        padding-left: 12px;
        border-left: unset;
    }
    .cat-arch-link {
        margin-top: 40px;
        font-size: 15px;
    }
}

/*Tutaj zaczyna się CSS dla komórek*/
@media only screen and (max-width: 767px) {
    .newest-sekcja .row {
        row-gap: 20px;
    }
    .newest-big-inner h3 {
        font-size: 20px;
    }
    .newest-list-col {
        border-left: unset;
        padding-left: 12px;
    }
    .small-post-list-single {
        margin-bottom: 20px;
    }
    .small-post-list-info h3 {
        font-size: 15px;
    }
    .newest-big-inner .post-desc,
    .newest-cat-inner .post-desc {
        line-height: 1.3;
    }
    .newest-cat-single {
        min-height: 150px;
    }
    .newest-cat-list-col:nth-of-type(1) h3 {
        font-size: 20px;
    }
    .newest-cat-list-col:nth-of-type(2) {
        padding: 0 12px;
        border-left: unset;
        border-right: unset;
    }
    .cat-arch-link {
        margin-top: 30px;
        text-align: center;
    }
}